import {Container, Grid, NavLink, Table} from "@mantine/core";
import {useMediaQuery} from "@mantine/hooks";
import {NavLink as RNavLink} from 'react-router-dom'
import Split from "react-split";


function App() {
    const isTabletOrMobile = useMediaQuery('(max-width: 768px)');

    return (
        <>
            {
                !isTabletOrMobile &&
                <div style={{ height: "100vh", display: "flex", flexDirection: "row"}}>
                    <div style={{minWidth: "10rem"}}>
                        <div style={{display: "flex", flexDirection: "column", height: "100vh"}}>
                            <NavLink component={RNavLink} to={"/user"} label={"用户"}></NavLink>
                            <NavLink component={RNavLink} to={"/"} label={"播放器"}></NavLink>
                            <div style={{flexGrow: "1", display: "flex", flexDirection: "column-reverse"}}>
                                <NavLink label={"登出"}></NavLink>
                            </div>
                        </div>
                    </div>
                    <div style={{flexGrow: 1}}>
                        <Split style={{height: "100%"}}
                            className="split" gutterSize={5}
                               sizes={[30, 70]}
                        >
                            <div>
                                <Table  highlightOnHover={true} striped withTableBorder={true}>
                                    <Table.Tbody>
                                        <Table.Tr>
                                            2
                                        </Table.Tr><Table.Tr>
                                        2
                                    </Table.Tr><Table.Tr>
                                        2
                                    </Table.Tr><Table.Tr>
                                        2
                                    </Table.Tr>
                                    </Table.Tbody>
                                </Table>
                            </div>
                            <div id={"l-1"}>
                                <Split
                                    direction={"vertical"}
                                    style={{height: "100%"}}
                                    gutterSize={5}
                                    sizes={[80,20]}
                                >
                                    <div>aa</div>
                                    <div>bb</div>
                                </Split>
                            </div>
                        </Split>
                    </div>
                </div>
            }


        </>
    )
}

export default App
