import {ReactNode, StrictMode} from 'react'
import {createRoot} from 'react-dom/client'
import App from './App.tsx'
import {AppShell, MantineProvider} from "@mantine/core";
import './main.css'
import '@mantine/core/styles.css';
import {BrowserRouter, Route, Routes} from "react-router-dom";

createRoot(document.getElementById('root')!).render(
    <StrictMode>
        <MantineProvider>
            <BrowserRouter>
                <Routes>
                    <Route path="/" element={<App/>}></Route>
                </Routes>
            </BrowserRouter>
        </MantineProvider>

    </StrictMode>,
)

function ShellWrapper({children}: { children: ReactNode }) {

    return <AppShell

        navbar={{
            width: 100,
            breakpoint: '0',

        }}

        padding="md"
    >


        <AppShell.Navbar p="md"></AppShell.Navbar>

        <AppShell.Main>
            {children}
        </AppShell.Main>
    </AppShell>
}


